Imports System.Globalization

''' <summary> Listet alle Short-Patterns zur Zeitformatierung </summary>
Public Class frmListShortFormat

    Private Sub frmListShortFormat_Load(ByVal sender As Object, _
        ByVal e As EventArgs) Handles MyBase.Load

        Dim t As DateTime = Now
        ' Die TimeFormat-DataTable mit ShortPatterns, LongPatterns und 
        '  formatiertem Beispiel befllen
        Dim DTFI As DateTimeFormatInfo = DateTimeFormatInfo.CurrentInfo
        With Me.DateTimes.TimeFormat
            .AddTimeFormatRow(Nothing, _
                DTFI.GetAllDateTimePatterns("G"c)(0), t.ToString)
            ' Jeder dieser Chars ist ein Short-Pattern zur Zeitformatierung
            For Each c As Char In "dDgGtTfFmMrRsuUyY"
                .AddTimeFormatRow(c, _
                    DTFI.GetAllDateTimePatterns(c)(0), t.ToString(c))
            Next
        End With
    End Sub

End Class